GROMACS - Task #2727

Move non-analysis functions out of gmxana
11/01/2018 11:57 PM - Kevin Boyd

Status: In Progress
Priority: Low
Assignee:

Category: analysis tools
Target version: 2020
Difficulty: simple
Description

Several files/tools sitting in the gmxana folder seem more suited for gmxpreprocess, e.g.

-gmx genion

-gmx editconf

-gmx genpr

-gmx tune_pme probably shouldn't be bundled with the analysis tools either, though I'm not sure where it should go.
A few others whose purpose is not solely analysis, but it could be argued they belong here

-gmx make_ndx

-gmx eneconv
-gmx trjconv

Associated revisions

Revision f9c7adee - 01/18/2019 07:54 AM - Kevin Boyd

Move non-analysis tools from gmxana to gmxpreprocess

Renamed genpr to genrestr to align with actual gmx <tool> call

refs #2727

Change-Id: 183a1dc6b39915372c4178768354d334c7e911ae2

Revision 7b6aa340 - 07/03/2019 03:28 AM - Kevin Boyd

Move more tools out of gmxana

Moved some files to simulationdatabase and updated references to them
refs #2727

Change-Id: 1df8375b672fbb6e4676fa22b9eb9c33d1b347166

History

#1 - 11/02/2018 05:56 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2727.

Uploader: Joe Jordan (e.jjordan12@gmail.com)

Change-Id: gromacs~master~19a87{642482f84770e2cad19f76b21f807184b0f
Gerrit URL: https://gerrit.gromacs.org/8645

#2 - 01/17/2019 01:46 AM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2727.

Uploader: Kevin Boyd (kevin.boyd@uconn.edu)

Change-Id: gromacs~master~183a1dc6b39915372¢c4178768354d334c7e911ae2
Gerrit URL: https://gerrit.gromacs.org/8995

#3 - 01/17/2019 05:05 AM - Mark Abraham

Kevin Boyd wrote:
Several files/tools sitting in the gmxana folder seem more suited for gmxpreprocess, e.g.
-gmx genion
-gmx editconf
-gmx genpr
Sure

-gmx tune_pme probably shouldn't be bundled with the analysis tools either, though I'm not sure where it should go.

src/gromacs/tools | guess
A few others whose purpose is not solely analysis, but it could be argued they belong here

-gmx make_ndx
-gmx eneconv
-gmx trjconv

They could move to tools too, perhaps.

#4 - 01/18/2019 03:30 PM - Kevin Boyd

- Status changed from New to In Progress

#5 - 01/18/2019 04:01 PM - Gerrit Code Review Bot

Gerrit received a related patchset '1' for Issue #2727.

Uploader: Kevin Boyd (kevin.boyd@uconn.edu)

Change-Id: gromacs~master~1df8375b672fbb6e4676fa22b9eb9c33d1b347166
Gerrit URL: https://gerrit.gromacs.org/9002

#6 - 01/19/2019 05:10 PM - Kevin Boyd

Joe pointed out that some of the functionality | was trying to move out of gmxana is deprecated and will be changed / removed in the near future, and
so maybe shouldn't be moved now. | see 7 tools that don't belong in gmxana still.

Superseded by gmx select but not officially deprecated:
gmx make_ndx
gmx mk_angndx

Should be moved:
gmx tune_pme
gmx pme_error

Work being done on these:
gmx trjconv

gmx tricat

gmx eneconv

#7 - 01/20/2019 04:07 PM - Joe Jordan

Any script that currently uses make_ndx can trivially be updated by using the -on flag on select. There is a cost to having multiple tools to do the same
job, and select has better index writing functionality than make_ndx such as dynamic selections, so | think it would be reasonable to remove
make_ndx.

#8 - 01/20/2019 07:48 PM - Kevin Boyd
Joe Jordan wrote:
Any script that currently uses make_ndx can trivially be updated by using the -on flag on select. There is a cost to having multiple tools to do the

same job, and select has better index writing functionality than make_ndx such as dynamic selections, so | think it would be reasonable to
remove make_ndx.

That seems reasonable to me, but since we haven't officially deprecated it, should we do that for the 2020 release and then remove for 2021?
